> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Cap Extend Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on PIC
```
#include <stdint.h>
#include "capextend_hw.h"

void system_init( void );

// CapExtend 3 GPIO
sbit CAP_RST at RC0_bit;
sbit CAP_RST_DIR at TRISC0_bit;

//Global Declatations
uint8_t address     = 0x2B;
uint8_t my_buffer   = 0;

void system_init( void )
{

    TRISB = 0;
    TRISD = 0;
    CAP_RST_DIR = 0;
    LATB  = 0;
    LATD  = 0;

     //Initialize UART
     UART1_Init( 9600 );
     Delay_ms(100);
     UART1_Write_Text( "UART Initialized\r\n" );

     // TWI
     I2C1_Init( 100000 );
     UART1_Write_Text( "I2C Initialized\r\n" );

     //Initialize Cap Extend
     if( capextend_init( address ) )
         while(1);
     UART1_Write_Text( "Cap Extend Initialized\r\n" );

     //Toggle Reset Pin
     CAP_RST = 1;
     Delay_ms(50);
     CAP_RST = 0;



}

```

```
void main()
{
     //Local Decalartions
     uint8_t msb        = 0;
     uint8_t lsb        = 0;
     char uart_text[20] = { 0 };

     system_init();

     //msb = capextend_spm_get_i2c_address();
     //IntToStr( msb, uart_text );
     //UART1_Write_Text( uart_text );
     //UART1_Write_Text( " <-- I2C Address\r\n" );

     while(1)
     {
          msb = capextend_read_msb_buttons();
          lsb = capextend_read_lsb_buttons();
          LATB = msb;
          LATD = lsb;
     }  //While

}  //Main

```

